Package org.bukkit.event.world

# Class WorldEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent

Direct Known Subclasses:
  `ChunkEvent`, `GenericGameEvent`, `LootGenerateEvent`, `PortalCreateEvent`, `RaidEvent`, `SpawnChangeEvent`, `StructureGrowEvent`, `StructureLocateEvent`, `TimeSkipEvent`, `WorldBorderEvent`, `WorldGameRuleChangeEvent`, `WorldInitEvent`, `WorldLoadEvent`, `WorldSaveEvent`, `WorldUnloadEvent`

public abstract class WorldEvent extends Event
Represents events within a world

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`WorldEvent(@NotNull World world)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull World`
`getWorld()`
Gets the world primarily involved with this event

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorldEvent

public WorldEvent(@NotNull @NotNull World world)

## Method Details

### getWorld

@NotNull public @NotNull World getWorld()
Gets the world primarily involved with this event

Returns:
  World which caused this event